### Method

# Gtk Label set_markup_with_mnemonic

#### Declaration [src]

    void
    gtk_label_set_markup_with_mnemonic (
      GtkLabel* self,
      const char* str
    )

#### Description [src]

Sets the labels text, attributes and mnemonic from markup.

Parses `str` which is marked up with Pango markup (see `pango_parse_markup()`), setting the label’s text and attribute list based on the parse results. If characters in `str` are preceded by an underscore, they are underlined indicating that they represent a keyboard accelerator called a mnemonic.

The mnemonic key can be used to activate another widget, chosen automatically, or explicitly using `gtk_label_set_mnemonic_widget()`.

#### Parameters

`str`

  Type: `const char*`

  A markup string.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.